<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_241) on Mon Jun 01 22:47:21 CEST 2020 -->
<title>Uses of Class com.app.beans.Show</title>
<meta name="date" content="2020-06-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class com.app.beans.Show";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../com/app/beans/Show.html" title="class in com.app.beans">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/app/beans/class-use/Show.html" target="_top">Frames</a></li>
<li><a href="Show.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class com.app.beans.Show" class="title">Uses of Class<br>com.app.beans.Show</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../com/app/beans/Show.html" title="class in com.app.beans">Show</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#com.app.beans">com.app.beans</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#com.app.dao">com.app.dao</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#com.app.service">com.app.service</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="com.app.beans">
<!--   -->
</a>
<h3>Uses of <a href="../../../../com/app/beans/Show.html" title="class in com.app.beans">Show</a> in <a href="../../../../com/app/beans/package-summary.html">com.app.beans</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../com/app/beans/Show.html" title="class in com.app.beans">Show</a> in <a href="../../../../com/app/beans/package-summary.html">com.app.beans</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/app/beans/Movie.html" title="class in com.app.beans">Movie</a></span></code>
<div class="block">Movie is a class that extends from Show, that is - it has attributes from
 Show as well as its own.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/app/beans/TvShow.html" title="class in com.app.beans">TvShow</a></span></code>
<div class="block">TvShow is a class that extends from Show, that it - it has attributes from
 Show as well as its own.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/app/beans/Video.html" title="class in com.app.beans">Video</a></span></code>
<div class="block">Video is a class that extends from Show, that is - it has attributes from
 Show as well as its own.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../com/app/beans/package-summary.html">com.app.beans</a> with type parameters of type <a href="../../../../com/app/beans/Show.html" title="class in com.app.beans">Show</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static java.util.Comparator&lt;<a href="../../../../com/app/beans/Show.html" title="class in com.app.beans">Show</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Show.</span><code><span class="memberNameLink"><a href="../../../../com/app/beans/Show.html#ShowRatingComparator">ShowRatingComparator</a></span></code>
<div class="block">Method used for sorting shows based on their ID.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../com/app/beans/Show.html" title="class in com.app.beans">Show</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Video.</span><code><span class="memberNameLink"><a href="../../../../com/app/beans/Video.html#videos">videos</a></span></code>
<div class="block">videos is list of videos used by threads</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.app.dao">
<!--   -->
</a>
<h3>Uses of <a href="../../../../com/app/beans/Show.html" title="class in com.app.beans">Show</a> in <a href="../../../../com/app/dao/package-summary.html">com.app.dao</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../com/app/dao/package-summary.html">com.app.dao</a> that return types with arguments of type <a href="../../../../com/app/beans/Show.html" title="class in com.app.beans">Show</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../com/app/beans/Show.html" title="class in com.app.beans">Show</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">FetchingDataDao.</span><code><span class="memberNameLink"><a href="../../../../com/app/dao/FetchingDataDao.html#getPersonalizedShows-java.lang.String-java.lang.String-">getPersonalizedShows</a></span>(java.lang.String&nbsp;mood,
                    java.lang.String&nbsp;showChoice)</code>
<div class="block">Method for user emotion with show type comparison</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.app.service">
<!--   -->
</a>
<h3>Uses of <a href="../../../../com/app/beans/Show.html" title="class in com.app.beans">Show</a> in <a href="../../../../com/app/service/package-summary.html">com.app.service</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../com/app/service/package-summary.html">com.app.service</a> that return types with arguments of type <a href="../../../../com/app/beans/Show.html" title="class in com.app.beans">Show</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../com/app/beans/Show.html" title="class in com.app.beans">Show</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ShowRenderingService.</span><code><span class="memberNameLink"><a href="../../../../com/app/service/ShowRenderingService.html#showBasedOnMoodService-java.lang.String-java.lang.String-">showBasedOnMoodService</a></span>(java.lang.String&nbsp;mood,
                      java.lang.String&nbsp;showChoice)</code>
<div class="block">Method that redirects to method which gets personalised shows for the user.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../com/app/beans/Show.html" title="class in com.app.beans">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/app/beans/class-use/Show.html" target="_top">Frames</a></li>
<li><a href="Show.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
